// package: bet.beteran.c2se.frontend.identity
// file: c2se/frontend/identity.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_error_pb from '../../protobuf/rpc/error_pb';

export class SigninRequest extends jspb.Message {
  getToken(): string;
  setToken(value: string): void;

  getSecurityCode(): string;
  setSecurityCode(value: string): void;

  getUsername(): string;
  setUsername(value: string): void;

  getPassword(): string;
  setPassword(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SigninRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninRequest
  ): SigninRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): SigninRequest;
  static deserializeBinaryFromReader(
    message: SigninRequest,
    reader: jspb.BinaryReader
  ): SigninRequest;
}

export namespace SigninRequest {
  export type AsObject = {
    token: string;
    securityCode: string;
    username: string;
    password: string;
  };
}

export class SigninResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_error_pb.Error | undefined;
  setError(value?: protobuf_rpc_error_pb.Error): void;

  hasSessionId(): boolean;
  clearSessionId(): void;
  getSessionId(): string;
  setSessionId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SigninResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: SigninResponse
  ): SigninResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: SigninResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): SigninResponse;
  static deserializeBinaryFromReader(
    message: SigninResponse,
    reader: jspb.BinaryReader
  ): SigninResponse;
}

export namespace SigninResponse {
  export type AsObject = {
    error?: protobuf_rpc_error_pb.Error.AsObject;
    sessionId: string;
  };
}
